package com.tzld.longarticle.recommend.server.mapper.aigc;

import com.tzld.longarticle.recommend.server.model.dto.*;
import com.tzld.longarticle.recommend.server.model.entity.aigc.*;
import com.tzld.longarticle.recommend.server.model.param.MiniprogramTaskParam;
import com.tzld.longarticle.recommend.server.model.param.PublishContentParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AigcBaseMapper {

    List<PublishContentDTO> getPublishContentByTitle(List<PublishContentParam> list);

    List<PublishPlanMiniprogramTask> getMiniProgramTask(List<MiniprogramTaskParam> miniprogramTaskParamList);

    List<CrawlerPlanResultRel> getCrawlerPlanRelByChannelContentIds(List<String> channelContentIds);

    List<CrawlerPlan> getCrawlerPlanByPlanIds(List<String> planIds);

    List<NotPublishPlan> getNotPublishPlan(Long todayStart);

    Integer getPublishPlanPushType(String planId);

    List<PublishAccount> getPublishAccounts(String planId, Long todayStart);

    List<ProduceContentDTO> getSourceProduceContentByTitles(List<String> titleList);

    List<AccountTypeFansDTO> getAccountTypeFans();

    List<PublishContentDTO> getHisPublishByTitles(List<String> titleList);

    List<PublishContent> getNearestPublishContent(String publishAccountId, Long publishTimestamp, Integer size);

    List<PublishContent> getLateNearestPublishContent(String publishAccountId, Long publishTimestamp);

    CrawlerContent getCrawlerContentByChannelContentId(String channelContentId);

    List<CrawlerContent> getCrawlerContentByChannelContentIdIn(List<String> channelContentIds);

    List<ProduceContentDTO> getProduceContentByPlanId(String planId);

    List<ProducePlanExeRecord> getAllByProducePlanId(List<String> producePlanIds);

    List<PublishPlanAccountNotifyDTO> checkPublishPlanAccount();

    List<PublishContentMiniprogramDTO> getPublishContentByTraceIdIn(List<String> traceIds);

    List<PublishGzhPushContentRelDTO> getPushContentRelByPublishContentIdIn(List<String> publishContentIds);

    List<PublishGzhPushDTO> getPushByPushIdIn(List<String> pushIds);

    List<PublishGzhPushContentRelDTO> getGroupPushRelByPushIdIn(List<String> pushIds);

    PublishContentDTO getPublishContentById(String publishContentId);

    List<PublishContentDTO> getPublishContentByIdIn(List<String> publishContentIds);

    List<PublishContentDTO> getPublishContentBySourceIdIn(List<String> sourceIds);

    List<CrawlerPlan> getColdCrawlerPlan(Long timeStart, Long timeEnd, List<String> planTags);

    List<ProducePlanAuditCheckDTO> getProducePlanAudit(Long timeStart, Long timeEnd, List<String> planIds);

    List<ProducePlanAuditCheckDTO> getProducePlanProduce(Long timeStart, Long timeEnd, List<String> planIds);

    List<PublishAccountTypeDTO> getAccountTypeList();

    List<String> getOnlyMiniprogramArticle(Integer offset, Integer pageSize);
}
